package cn.yw.alarmcode.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;


@Repository("gjbhxxDao")
public class GjbhxxDao  extends SqlMapClientDaoSupport{

	@Autowired 
    private SqlMapClient sqlMapClient;  
      
	@PostConstruct          
    public  void initSqlMapClient(){  
     super.setSqlMapClient(sqlMapClient);      
    }
	/**
	 * 增加记录
	 */
	public void insert_Gjbhxx(Map map) throws SQLException{
		this.getSqlMapClientTemplate().insert("insert_Gjbhxx",map);
	}	
	 
	/**
	 * 修改记录
	 */
	public Integer update_Gjbhxx(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().update("update_Gjbhxx",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Gjbhxx(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_Gjbhxx",map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Gjbhxx(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Gjbhxx",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Gjbhxx(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Gjbhxx",map);
	}
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public Map get_Gjbhxx(Map map) throws SQLException{
		return (Map) this.getSqlMapClientTemplate().queryForObject("query_Gjbhxx",map);
	}
}
